---
title: Get
url: https://www.tines.com/docs/api/cases/files/get/
updated: 2025-07-11T15:20:26+00:00
description: Retrieve details for a case file.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Cases](https://www.tines.com/llm/docs/api/cases.md) › [Files](https://www.tines.com/llm/docs/api/cases/files.md)*

# Get

*[View on tines.com](https://www.tines.com/docs/api/cases/files/get/)*

## Description

Retrieve details for a case file.

> **Note**: To get file metadata only, use the `/info` endpoint. To download the file contents, use the `/download` endpoint.

## Request

HTTP Method: **GET**

| Query Parameter | Description              |
| --------------- | ------------------------ |
| case_id         | The ID of the case.      |
| file_id         | The ID of the case file. |

```bash
curl -X GET \
  https://<tenant-domain>/api/v2/cases/<<case_id>>/files/<<file_id>> \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
```

## Response

A successful request will return the details for a case file.

### Field description

| Parameter     | Description                                                                                                 |
| ------------- | ----------------------------------------------------------------------------------------------------------- |
| case_id       | The ID of the case.                                                                                         |
| id            | The ID of the record with the file attached to the case.                                                    |
| activity_type | The type of activity taken on the case - `file_attached` or `file_attached_and_commented` in this instance. |
| value         | The comment added alongside file.                                                                           |
| created_at    | ISO 8601 Timestamp representing creation date.                                                              |
| user          | Details of the user.                                                                                        |

| User parameter     | Description                                          |
| ------------------ | ---------------------------------------------------- |
| user_id            | The user ID.                                         |
| first_name         | The user's first name.                               |
| last_name          | The user's last name.                                |
| email              | The user's email address.                            |
| avatar_url         | The user's avatar url.                               |
| is_service_account | Whether this user is a service account (true/false). |

### Sample response

<!-- cspell:disable -->

```json
{
  "case_id": 42,
  "id": 7508,
  "activity_type": "FILE_ATTACHED_AND_COMMENTED",
  "value": "This is a comment alongside a file",
  "created_at": "2024-03-25T15:40:39Z",
  "file": {
    "filename": "hello.txt",
    "url": "http://<tenant-domain>/api/v2/cases/42/files/7508/download"
  },
  "user": {
    "user_id": 1,
    "first_name": "Jane",
    "last_name": "Doe",
    "email": "jane@tines.io",
    "avatar_url": "example.com/avatar",
    "is_service_account": false
  }
}
```
